JsonSerialize.Typing
Date: 2016-12-04

com.fasterxml.jackson.databind.annotation

## Enum JsonSerialize.Typing

- java.lang.Object
- - java.lang.Enum<JsonSerialize.Typing>
  - - com.fasterxml.jackson.databind.annotation.JsonSerialize.Typing

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<JsonSerialize.Typing>
  Enclosing class:
    JsonSerialize

      public static enum JsonSerialize.Typing
      extends java.lang.Enum<JsonSerialize.Typing>

  Enumeration used with `JsonSerialize.typing()` property to define whether type detection is based on dynamic runtime type (DYNAMIC) or declared type (STATIC).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT_TYPING` Pseudo-value that is used to indicate "use whatever is default used at higher level".
    `DYNAMIC` Value that indicates that the actual dynamic runtime type is to be used.
    `STATIC` Value that indicates that the static declared type is to be used.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JsonSerialize.Typing` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static JsonSerialize.Typing[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DYNAMIC

          public static final JsonSerialize.Typing DYNAMIC

      Value that indicates that the actual dynamic runtime type is to be used.

    - #### STATIC

          public static final JsonSerialize.Typing STATIC

      Value that indicates that the static declared type is to be used.

    - #### DEFAULT_TYPING

          public static final JsonSerialize.Typing DEFAULT_TYPING

      Pseudo-value that is used to indicate "use whatever is default used at higher level".
      Since:
        2.3

  - ### Method Detail

    - #### values

          public static JsonSerialize.Typing[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JsonSerialize.Typing c : JsonSerialize.Typing.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JsonSerialize.Typing valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null